<script setup>
import CkItemCreation from '@/components/item/ck-item-creation.vue'

defineProps({
  collectionId: {
    type: String,
    required: true
  },
  order: {
    type: Number,
    required: true
  }
})
const isActive = defineModel()
</script>

<template>
  <v-dialog
    v-model="isActive"
    max-width="512"
  >
    <template v-slot:default="{ isActive }">
      <ck-item-creation
        @created="isActive.value = false"
        @CANCEL="isActive.value = false"
       :collection-id="collectionId"
       :order="order"
      ></ck-item-creation>
    </template>
  </v-dialog>
</template>



<style scoped lang="scss">

</style>